classdef mexBM
    properties
      % from wikipedia
      rv
      rvc
      rvy
    end
    methods
        function validate(p)
            if size(p.mu)<1 & (size(p.b)<1)
                error('incompatible mu and b');
            end
        end
        function dims=dimensions(p)
            %please fill
            [size_of_posterior size_of_data size_of_condition]
        end
        function obj=bayes(obj,dt,cond)
            % transform old estimate into new estimate
        end
        function p=posterior(obj)
            % return posterior density
        end
    end
end